/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { TestBed } from '@angular/core/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { MatSnackBarModule } from '@angular/material/snack-bar';

import { BciMessagesService } from './bci-messages.service';
import { BCI_MESSAGES_INTL_PROVIDER } from './messages-intl';

describe('BciMessagesService', () => {
  let service: BciMessagesService;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [MatDialogModule, MatSnackBarModule],
      providers: [BCI_MESSAGES_INTL_PROVIDER],
    });

    service = TestBed.inject(BciMessagesService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
